Freigeben über


Communication Services - Update

Operation zur Aktualisierung eines bestehenden Kommunikationsdienstes.

PATCH https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Communication/communicationServices/{communicationServiceName}?api-version=2026-03-18

URI-Parameter

Name In Erforderlich Typ Beschreibung
communicationServiceName
path True

string

minLength: 1
maxLength: 63
pattern: ^[-\w]+$

Der Name der CommunicationService-Ressource.

resourceGroupName
path True

string

minLength: 1
maxLength: 90

Der Name der Ressourcengruppe. Für den Namen wird die Groß-/Kleinschreibung nicht beachtet.

subscriptionId
path True

string (uuid)

Hierbei handelt es sich um die ID des Zielabonnements. Der Wert muss eine UUID sein.

api-version
query True

string

minLength: 1

Die API-Version, die für diesen Vorgang verwendet werden soll.

Anforderungstext

Name Typ Beschreibung
identity

ManagedServiceIdentity

Verwaltete Dienstidentität (vom System zugewiesene und/oder vom Benutzer zugewiesene Identitäten)

properties.disableLocalAuth

boolean

Deaktivieren Sie die lokale Authentifizierung für den CommunicationService.

properties.linkedDomains

string[]

Liste der E-Mail-Domänenressourcen-IDs.

properties.publicNetworkAccess

PublicNetworkAccess

Zulassen, Verweigern oder Steuern des Zugriffs auf die geschützte Ressource durch die Konfiguration des Netzwerksicherheitsperimeters für das öffentliche Netzwerk. Der Wert ist optional, aber wenn er übergeben wird, muss er "Enabled", "Disabled" oder "SecuredByPerimeter" lauten.

tags

object

Tags des Diensts, bei dem es sich um eine Liste von Schlüsselwertpaaren handelt, die die Ressource beschreiben.

Antworten

Name Typ Beschreibung
200 OK

CommunicationServiceResource

Azure-Operation erfolgreich abgeschlossen.

Other Status Codes

ErrorResponse

Unerwartete Fehlerantwort.

Sicherheit

azure_auth

Azure Active Directory OAuth2 Flow.

Typ: oauth2
Ablauf: implicit
Autorisierungs-URL: https://login.microsoftonline.com/common/oauth2/authorize

Bereiche

Name Beschreibung
user_impersonation Identitätswechsel ihres Benutzerkontos

Beispiele

Update resource
Update resource to add a System Assigned managed identity
Update resource to add a User Assigned managed identity
Update resource to add DisableLocalAuth
Update resource to add PublicNetworkAccess
Update resource to add System and User managed identities
Update resource to remove identity

Update resource

Beispielanforderung

PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18

{
  "tags": {
    "newTag": "newVal"
  }
}

Beispiel für eine Antwort

{
  "name": "MyCommunicationResource",
  "type": "Microsoft.Communication/CommunicationServices",
  "id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
  "identity": {
    "type": "None"
  },
  "location": "Global",
  "properties": {
    "dataLocation": "United States",
    "hostName": "mycommunicationresource.communications.azure.com",
    "provisioningState": "Succeeded",
    "version": "0.2.0"
  },
  "tags": {
    "newTag": "newVal"
  }
}

Update resource to add a System Assigned managed identity

Beispielanforderung

PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18

{
  "identity": {
    "type": "SystemAssigned"
  },
  "tags": {
    "newTag": "newVal"
  }
}

Beispiel für eine Antwort

{
  "name": "MyCommunicationResource",
  "type": "Microsoft.Communication/CommunicationServices",
  "id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
  "identity": {
    "type": "SystemAssigned",
    "principalId": "11111111-1111-1111-1111-111111111111",
    "tenantId": "22222222-2222-2222-2222-222222222222"
  },
  "location": "Global",
  "properties": {
    "dataLocation": "United States",
    "hostName": "mycommunicationresource.communications.azure.com",
    "provisioningState": "Succeeded",
    "version": "0.2.0"
  },
  "tags": {
    "newTag": "newVal"
  }
}

Update resource to add a User Assigned managed identity

Beispielanforderung

PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18

{
  "identity": {
    "type": "UserAssigned",
    "userAssignedIdentities": {
      "/user/assigned/resource/id": {}
    }
  },
  "tags": {
    "newTag": "newVal"
  }
}

Beispiel für eine Antwort

{
  "name": "MyCommunicationResource",
  "type": "Microsoft.Communication/CommunicationServices",
  "id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
  "identity": {
    "type": "UserAssigned",
    "userAssignedIdentities": {
      "/user/assigned/resource/id": {
        "clientId": "11112222-3333-4444-5555-666677778888",
        "principalId": "11112222-3333-4444-5555-666677778888"
      }
    }
  },
  "location": "Global",
  "properties": {
    "dataLocation": "United States",
    "hostName": "mycommunicationresource.communications.azure.com",
    "provisioningState": "Succeeded",
    "version": "0.2.0"
  },
  "tags": {
    "newTag": "newVal"
  }
}

Update resource to add DisableLocalAuth

Beispielanforderung

PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18

{
  "properties": {
    "disableLocalAuth": true
  },
  "tags": {
    "newTag": "newVal"
  }
}

Beispiel für eine Antwort

{
  "name": "MyCommunicationResource",
  "type": "Microsoft.Communication/CommunicationServices",
  "id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
  "location": "Global",
  "properties": {
    "dataLocation": "United States",
    "disableLocalAuth": true,
    "hostName": "mycommunicationresource.communications.azure.com",
    "provisioningState": "Succeeded",
    "version": "0.2.0"
  },
  "tags": {
    "newTag": "newVal"
  }
}

Update resource to add PublicNetworkAccess

Beispielanforderung

PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18

{
  "properties": {
    "publicNetworkAccess": "Enabled"
  },
  "tags": {
    "newTag": "newVal"
  }
}

Beispiel für eine Antwort

{
  "name": "MyCommunicationResource",
  "type": "Microsoft.Communication/CommunicationServices",
  "id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
  "location": "Global",
  "properties": {
    "dataLocation": "United States",
    "hostName": "mycommunicationresource.communications.azure.com",
    "provisioningState": "Succeeded",
    "publicNetworkAccess": "Enabled",
    "version": "0.2.0"
  },
  "tags": {
    "newTag": "newVal"
  }
}

Update resource to add System and User managed identities

Beispielanforderung

PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18

{
  "identity": {
    "type": "SystemAssigned,UserAssigned",
    "userAssignedIdentities": {
      "/user/assigned/resource/id": {}
    }
  },
  "tags": {
    "newTag": "newVal"
  }
}

Beispiel für eine Antwort

{
  "name": "MyCommunicationResource",
  "type": "Microsoft.Communication/CommunicationServices",
  "id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
  "identity": {
    "type": "SystemAssigned,UserAssigned",
    "principalId": "11111111-1111-1111-1111-111111111111",
    "tenantId": "22222222-2222-2222-2222-222222222222",
    "userAssignedIdentities": {
      "/user/assigned/resource/id": {
        "clientId": "11112222-3333-4444-5555-666677778888",
        "principalId": "11112222-3333-4444-5555-666677778888"
      }
    }
  },
  "location": "Global",
  "properties": {
    "dataLocation": "United States",
    "hostName": "mycommunicationresource.communications.azure.com",
    "provisioningState": "Succeeded",
    "version": "0.2.0"
  },
  "tags": {
    "newTag": "newVal"
  }
}

Update resource to remove identity

Beispielanforderung

PATCH https://management.azure.com/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/communicationServices/MyCommunicationResource?api-version=2026-03-18

{
  "identity": {
    "type": "None"
  },
  "tags": {
    "newTag": "newVal"
  }
}

Beispiel für eine Antwort

{
  "name": "MyCommunicationResource",
  "type": "Microsoft.Communication/CommunicationServices",
  "id": "/subscriptions/11112222-3333-4444-5555-666677778888/resourceGroups/MyResourceGroup/providers/Microsoft.Communication/CommunicationServices/MyCommunicationResource",
  "location": "Global",
  "properties": {
    "dataLocation": "United States",
    "hostName": "mycommunicationresource.communication.azure.com",
    "provisioningState": "Succeeded"
  },
  "tags": {
    "newTag": "newVal"
  }
}

Definitionen

Name Beschreibung
CommunicationServiceResource

Eine Klasse, die eine CommunicationService-Ressource darstellt.

CommunicationServiceResourceUpdate

Eine Klasse, die Aktualisierungsparameter für die CommunicationService-Ressource darstellt.

CommunicationServices_ProvisioningState

Bereitstellungsstatus der Ressource.

createdByType

Der Identitätstyp, der die Ressource erstellt hat.

ErrorAdditionalInfo

Der Ressourcenverwaltungsfehler zusätzliche Informationen.

ErrorDetail

Das Fehlerdetails.

ErrorResponse

Fehlerantwort

ManagedServiceIdentity

Verwaltete Dienstidentität (vom System zugewiesene und/oder vom Benutzer zugewiesene Identitäten)

ManagedServiceIdentityType

Typ der verwalteten Dienstidentität (wobei systemAssigned- und UserAssigned-Typen zulässig sind).

PublicNetworkAccess

Zulassen, Verweigern oder Steuern des Zugriffs auf die geschützte Ressource durch die Konfiguration des Netzwerksicherheitsperimeters für das öffentliche Netzwerk. Der Wert ist optional, aber wenn er übergeben wird, muss er "Enabled", "Disabled" oder "SecuredByPerimeter" lauten.

systemData

Metadaten zur Erstellung und letzten Änderung der Ressource.

UserAssignedIdentity

Benutzer zugewiesene Identitätseigenschaften

CommunicationServiceResource

Eine Klasse, die eine CommunicationService-Ressource darstellt.

Name Typ Beschreibung
id

string (arm-id)

Vollqualifizierte Ressourcen-ID für die Ressource. Z. B. "/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}"

identity

ManagedServiceIdentity

Die verwalteten Dienstidentitäten, die dieser Ressource zugewiesen sind.

location

string

Der geografische Standort, an dem sich die Ressource befindet

name

string

Der Name der Ressource

properties.dataLocation

string

Der Ort, an dem der Kommunikationsdienst ruhende Daten speichert.

properties.disableLocalAuth

boolean

Deaktivieren Sie die lokale Authentifizierung für den CommunicationService.

properties.hostName

string

FQDN der CommunicationService-Instanz.

properties.immutableResourceId

string

Die unveränderliche Ressourcen-ID des Kommunikationsdienstes.

properties.linkedDomains

string[]

Liste der E-Mail-Domänenressourcen-IDs.

properties.notificationHubId

string

Ressourcen-ID eines Azure Notification Hubs, der mit dieser Ressource verknüpft ist.

properties.provisioningState

CommunicationServices_ProvisioningState

Bereitstellungsstatus der Ressource.

properties.publicNetworkAccess

PublicNetworkAccess

Zulassen, Verweigern oder Steuern des Zugriffs auf die geschützte Ressource durch die Konfiguration des Netzwerksicherheitsperimeters für das öffentliche Netzwerk. Der Wert ist optional, aber wenn er übergeben wird, muss er "Enabled", "Disabled" oder "SecuredByPerimeter" lauten.

properties.version

string

Version der CommunicationService-Ressource. Wahrscheinlich benötigen Sie dieselbe oder höhere Version von Client-SDKs.

systemData

systemData

Azure Resource Manager-Metadaten, die createdBy und modifiedBy-Informationen enthalten.

tags

object

Ressourcentags.

type

string

Der Typ der Ressource. Z. B. "Microsoft.Compute/virtualMachines" oder "Microsoft.Storage/storageAccounts"

CommunicationServiceResourceUpdate

Eine Klasse, die Aktualisierungsparameter für die CommunicationService-Ressource darstellt.

Name Typ Beschreibung
identity

ManagedServiceIdentity

Verwaltete Dienstidentität (vom System zugewiesene und/oder vom Benutzer zugewiesene Identitäten)

properties.disableLocalAuth

boolean

Deaktivieren Sie die lokale Authentifizierung für den CommunicationService.

properties.linkedDomains

string[]

Liste der E-Mail-Domänenressourcen-IDs.

properties.publicNetworkAccess

PublicNetworkAccess

Zulassen, Verweigern oder Steuern des Zugriffs auf die geschützte Ressource durch die Konfiguration des Netzwerksicherheitsperimeters für das öffentliche Netzwerk. Der Wert ist optional, aber wenn er übergeben wird, muss er "Enabled", "Disabled" oder "SecuredByPerimeter" lauten.

tags

object

Tags des Diensts, bei dem es sich um eine Liste von Schlüsselwertpaaren handelt, die die Ressource beschreiben.

CommunicationServices_ProvisioningState

Bereitstellungsstatus der Ressource.

Wert Beschreibung
Unknown

Unbekannt

Succeeded

Erfolgreich

Failed

gescheitert

Canceled

Abgesagt

Running

Laufen

Creating

Erstellen

Updating

Wird aktualisiert

Deleting

Wird gelöscht

Moving

Verschieben

createdByType

Der Identitätstyp, der die Ressource erstellt hat.

Wert Beschreibung
User
Application
ManagedIdentity
Key

ErrorAdditionalInfo

Der Ressourcenverwaltungsfehler zusätzliche Informationen.

Name Typ Beschreibung
info

object

Die zusätzlichen Informationen.

type

string

Der zusätzliche Informationstyp.

ErrorDetail

Das Fehlerdetails.

Name Typ Beschreibung
additionalInfo

ErrorAdditionalInfo[]

Die zusätzlichen Informationen des Fehlers.

code

string

Der Fehlercode.

details

ErrorDetail[]

Die Fehlerdetails.

message

string

Die Fehlermeldung.

target

string

Das Fehlerziel.

ErrorResponse

Fehlerantwort

Name Typ Beschreibung
error

ErrorDetail

Das Fehlerobjekt.

ManagedServiceIdentity

Verwaltete Dienstidentität (vom System zugewiesene und/oder vom Benutzer zugewiesene Identitäten)

Name Typ Beschreibung
principalId

string (uuid)

Die Dienstprinzipal-ID der vom System zugewiesenen Identität. Diese Eigenschaft wird nur für eine vom System zugewiesene Identität bereitgestellt.

tenantId

string (uuid)

Die Mandanten-ID der vom System zugewiesenen Identität. Diese Eigenschaft wird nur für eine vom System zugewiesene Identität bereitgestellt.

type

ManagedServiceIdentityType

Typ der verwalteten Dienstidentität (wobei systemAssigned- und UserAssigned-Typen zulässig sind).

userAssignedIdentities

<string,  UserAssignedIdentity>

Die Gruppe der benutzerzuweisungen Identitäten, die der Ressource zugeordnet sind. Die Wörterbuchschlüssel "userAssignedIdentities" sind ARM-Ressourcen-IDs im Formular: '/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.ManagedIdentity/userAssignedIdentities/{identityName}. Die Wörterbuchwerte können leere Objekte ({}) in Anforderungen sein.

ManagedServiceIdentityType

Typ der verwalteten Dienstidentität (wobei systemAssigned- und UserAssigned-Typen zulässig sind).

Wert Beschreibung
None
SystemAssigned
UserAssigned
SystemAssigned,UserAssigned

PublicNetworkAccess

Zulassen, Verweigern oder Steuern des Zugriffs auf die geschützte Ressource durch die Konfiguration des Netzwerksicherheitsperimeters für das öffentliche Netzwerk. Der Wert ist optional, aber wenn er übergeben wird, muss er "Enabled", "Disabled" oder "SecuredByPerimeter" lauten.

Wert Beschreibung
Enabled

Ermöglicht die access des öffentlichen Netzwerks zur Ressource

Disabled

Öffentliche Netzwerk-access zur Ressource verhindert

SecuredByPerimeter

Die Netzwerksicherheitsperimeter-Konfigurationsregeln erlauben oder verbieten öffentliche Netzwerk access zur Ressource. Erfordert einen zugehörigen Netzwerksicherheitsperimeter.

systemData

Metadaten zur Erstellung und letzten Änderung der Ressource.

Name Typ Beschreibung
createdAt

string (date-time)

Der Zeitstempel der Ressourcenerstellung (UTC).

createdBy

string

Die Identität, die die Ressource erstellt hat.

createdByType

createdByType

Der Identitätstyp, der die Ressource erstellt hat.

lastModifiedAt

string (date-time)

Der Zeitstempel der letzten Änderung der Ressource (UTC)

lastModifiedBy

string

Die Identität, die die Ressource zuletzt geändert hat.

lastModifiedByType

createdByType

Der Identitätstyp, der die Ressource zuletzt geändert hat.

UserAssignedIdentity

Benutzer zugewiesene Identitätseigenschaften

Name Typ Beschreibung
clientId

string (uuid)

Die Client-ID der zugewiesenen Identität.

principalId

string (uuid)

Die Prinzipal-ID der zugewiesenen Identität.